---
updatedAt: 2026-06-10T11:32:31.000Z
agentTools:
  projectIndex: https://docs.lmnl.app/llms.txt
---

# Create a hot wallet

This API is a request to create a new v1 <<glossary:deposit wallet>> or <<glossary:withdrawal wallet>> for your <<glossary:organisation>>. A v1 wallet is a legacy wallet that is not supported by Liminal Firewall. You can also create multiple hot wallets (one wallet per API call) for EVM and UTXO chains. See [Liminal supported chains](https://docs.lmnl.app/reference/liminal-supported-chains) for more information.

<Callout icon="👉" theme="default">
  **Important**

  Ensure to add the key pair `"walletVersion":"1"` in the API request body. If the wallet version is not provided, the API will default to creating a v2 wallet.
</Callout>

<Callout icon="📘" theme="info">
  **Note**

  * Liminal automatically generates the exact list of addresses for all EVM chain deposit wallets (like Avalanche, Polygon). These addresses are derived from the Ethereum wallet seed phrase, using a derivation path.  
    For example, if your first Ethereum wallet has addresses:

    * Address 1: `0xf0748C52EDC23135d9845CDFB91279Cf61ee14b4,`
    * Address 2: `0x1860F505E73c1d3C36685AfB1a1F986591d7aB9d`, then the exact Address 1 and Address 2 are also generated for other EVM wallets you create afterward. This way, you can assign a single deposit address to each customer across all EVM wallets.
  * If you want certain EVM chain wallets to have the same set of addresses as your first Ethereum wallet, ensure to create those wallets before creating the second Ethereum wallet. Otherwise, the addresses of the second Ethereum wallet will be replicated in the EVM chain wallets. To learn about derivation paths, see [Derivation path strategy ](https://docs.lmnl.app/docs/liminal-wallets-derivation-path-strategy#/).
</Callout>

To create a v2 hot wallet, use the [Create a hot wallet](https://docs.lmnl.app/v2/reference/createahotwallet-1#/) API instead.

To learn more about v1 and v2 wallets, see [Wallet versions: v1 and v2](https://docs.lmnl.app/docs/liminal-wallets#wallet-versions-v1-and-v2). See [Liminal Firewall ](https://docs.lmnl.app/docs/liminal-firewall#/)to learn more about it.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "API REFERENCES",
    "contact": {},
    "version": "8"
  },
  "servers": [
    {
      "url": "https://api-sdk.lmnl.dev",
      "variables": {}
    }
  ],
  "tags": [
    {
      "name": "Wallets"
    }
  ],
  "paths": {
    "/api/onboarding/create-wallet": {
      "post": {
        "tags": [
          "Wallets"
        ],
        "summary": "Create a hot wallet",
        "description": "This API is a request to create a new v1 <<glossary:deposit wallet>> or <<glossary:withdrawal wallet>> for your <<glossary:organisation>>. A v1 wallet is a legacy wallet that is not supported by Liminal Firewall. You can also create multiple hot wallets (one wallet per API call) for EVM and UTXO chains. See [Liminal supported chains](https://docs.lmnl.app/reference/liminal-supported-chains) for more information.",
        "operationId": "Createahotwallet",
        "parameters": [],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/Create-Wallet-Object-Request"
                  },
                  {}
                ]
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/Create-Wallet-OK-Response"
                    },
                    {
                      "example": {
                        "success": true,
                        "data": [
                          {
                            "walletId": 14999,
                            "walletAddress": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77",
                            "chain": "ETH",
                            "coin": "ETH",
                            "parentChain": "EVM",
                            "type": "mpc",
                            "subType": "hot",
                            "message": "The ETH wallet has been created successfully."
                          }
                        ]
                      }
                    }
                  ]
                },
                "example": {
                  "success": true,
                  "data": [
                    {
                      "walletId": 14999,
                      "walletAddress": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77",
                      "chain": "ETH",
                      "coin": "ETH",
                      "parentChain": "EVM",
                      "type": "mpc",
                      "subType": "hot",
                      "message": "The ETH wallet has been created successfully."
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "$ref": "#/components/schemas/Create-Wallet-Bad-Request-Response1"
                }
              }
            }
          },
          "401": {
            "description": "Access denied",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "success"
                  ],
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "description": "This indicates whether the hot wallet is successfully created or not.",
                      "example": false
                    },
                    "data": {
                      "type": "object",
                      "example": {}
                    },
                    "message": {
                      "type": "string",
                      "description": "A short description of the error.",
                      "example": "access_denied"
                    },
                    "code": {
                      "type": "string",
                      "description": "The error code for the API failure.",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "success"
                  ],
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "description": "This indicates whether the balance is successfully retrieved or not.",
                      "example": false
                    },
                    "data": {
                      "type": "object",
                      "example": {}
                    },
                    "message": {
                      "type": "string",
                      "description": "A short description of the error.",
                      "example": "The requested resource was not found."
                    },
                    "code": {
                      "type": "string",
                      "description": "The error code for the API failure.",
                      "example": "NOT_FOUND"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [
          {
            "basic": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Create-Wallet-Object-Request": {
        "title": "Create-Wallet-Object-Request",
        "required": [
          "cloudProvider",
          "wallet"
        ],
        "type": "object",
        "properties": {
          "cloudProvider": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cloudProviderEnum1"
              },
              {
                "description": "Specify the cloud provider where you intend to deploy your hot wallet keys."
              }
            ]
          },
          "wallet": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Wallet-Create-Object-Request"
              },
              {}
            ]
          }
        }
      },
      "Data4": {
        "title": "Data4",
        "required": [
          "walletId",
          "walletAddress",
          "chain",
          "coin",
          "parentChain",
          "type",
          "subType",
          "message"
        ],
        "type": "object",
        "properties": {
          "walletId": {
            "type": "integer",
            "description": "The unique identifier (ID) of the wallet.",
            "format": "int32",
            "example": 14999
          },
          "walletAddress": {
            "type": "string",
            "description": "The unique wallet address.",
            "example": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77"
          },
          "chain": {
            "type": "string",
            "description": "The blockchain protocol of the wallet.",
            "example": "ETH"
          },
          "coin": {
            "type": "string",
            "description": "The type of native coin associated with the wallet.",
            "example": "ETH"
          },
          "parentChain": {
            "type": "string",
            "description": "The parent blockchain of the chain where the wallet operates (if applicable).",
            "example": "EVM"
          },
          "type": {
            "type": "string",
            "description": "The type of the wallet. For example, `deposit` or `withdrawal`."
          },
          "subType": {
            "type": "string",
            "description": "The subtype of the wallet (if applicable).",
            "example": "deposit"
          },
          "message": {
            "type": "string",
            "description": "The description of the response code.",
            "example": "The ETH deposit wallet has been created successfully."
          }
        },
        "example": {
          "walletId": 14999,
          "walletAddress": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77",
          "chain": "ETH",
          "coin": "ETH",
          "parentChain": "EVM",
          "type": "mpc",
          "subType": "hot",
          "message": "The ETH wallet has been created successfully."
        }
      },
      "Create-Wallet-Bad-Request-Response1": {
        "title": "Create-Wallet-Bad-Request-Response1",
        "required": [
          "success",
          "data",
          "message"
        ],
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "description": "This indicates whether the hot wallet is successfully created or not.",
            "example": true
          },
          "data": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Data2"
              },
              {}
            ]
          },
          "message": {
            "type": "string",
            "description": "This is the response message received in the API response body.",
            "nullable": true,
            "example": "The ETH deposit wallet has been created successfully."
          }
        }
      },
      "Error2": {
        "title": "Error2",
        "required": [
          "value",
          "msg",
          "param",
          "location"
        ],
        "type": "object",
        "properties": {
          "value": {
            "description": "The values entered in the request.",
            "oneOf": [
              {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            ]
          },
          "msg": {
            "type": "string",
            "description": "A brief explanation of the API failure reason and/or guidance for troubleshooting."
          },
          "param": {
            "type": "string",
            "description": "This denotes the parameter which is wrong in request."
          },
          "location": {
            "type": "string",
            "description": "This denotes the location of the error. For example, \"body\", \"query\", or \"path\" params."
          }
        }
      },
      "Wallet-Create-Object-Request": {
        "title": "Wallet-Create-Object-Request",
        "required": [
          "coin",
          "walletType"
        ],
        "type": "object",
        "properties": {
          "coin": {
            "allOf": [
              {
                "$ref": "#/components/schemas/coinEnum2"
              },
              {}
            ]
          },
          "walletType": {
            "allOf": [
              {
                "$ref": "#/components/schemas/walletTypeEnum1"
              },
              {}
            ]
          },
          "coSigners": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Provide a minimum of 2 email IDs if using the AWS provider. (Optional)"
          },
          "name": {
            "type": "string",
            "description": "Enter the name of the wallet.",
            "example": "ETH deposit wallet"
          },
          "walletVersion": {
            "type": "integer",
            "description": "Enter the value as `1` to create a v1 wallet. Skip this parameter to create a v2 wallet.",
            "example": "1"
          }
        }
      },
      "Create-Wallet-OK-Response": {
        "title": "Create-Wallet-OK-Response",
        "required": [
          "success",
          "data"
        ],
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "description": "This indicates whether the hot wallet is successfully created or not.",
            "example": true
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Data4"
            },
            "description": ""
          }
        },
        "example": {
          "success": true,
          "data": [
            {
              "walletId": 14999,
              "walletAddress": "0x18360a1Ccf5cc7b0439F93ec5b4f09dE94BC7d77",
              "chain": "ETH",
              "coin": "ETH",
              "parentChain": "EVM",
              "type": "mpc",
              "subType": "hot",
              "message": "The ETH wallet has been created successfully."
            }
          ]
        }
      },
      "Data2": {
        "title": "Data2",
        "required": [
          "errors"
        ],
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Error2"
            },
            "description": ""
          }
        }
      },
      "coinEnum2": {
        "title": "coinEnum2",
        "enum": [
          "eth",
          "btc",
          "doge",
          "bch",
          "ltc",
          "matic",
          "xrp",
          "xlm",
          "trx",
          "bnb",
          "uatom",
          "sol",
          "xdc",
          "aeth",
          "avax",
          "oeth",
          "ethw",
          "algo",
          "beth",
          "kaia"
        ],
        "type": "string",
        "description": "Enter the abbreviated form of the cryptocurrency associated with the wallet. Note that for \"arb\", enter \"aeth\"."
      },
      "walletTypeEnum1": {
        "title": "walletTypeEnum1",
        "enum": [
          "Withdrawal",
          "Deposit"
        ],
        "type": "string",
        "description": "This indicates the type of wallet transaction. It can be either 'withdrawal' or 'deposit'."
      },
      "cloudProviderEnum1": {
        "title": "cloudProviderEnum1",
        "enum": [
          "MPC"
        ],
        "type": "string",
        "description": "Specifies the cloud type: AWS or MPC"
      }
    },
    "securitySchemes": {
      "basic": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": []
}
```